Index: palm/trunk/DOC/tec/technical_documentation.html
===================================================================
--- palm/trunk/DOC/tec/technical_documentation.html	(revision 515)
+++ palm/trunk/DOC/tec/technical_documentation.html	(revision 516)
@@ -1,4 +1,5 @@
 <!DOCTYPE html PUBLIC "-//w3c//dtd html 4.0 transitional//en">
 <html><head>
+
 
 
@@ -66,5 +67,5 @@
       <td style="width: 42px;"><big><span style="font-weight: bold;">svn revision</span></big><br>
       </td>
-      <td style="width: 40px;"><big><span style="font-weight: bold;">latest release</span></big><br>
+      <td style="width: 40px;"><big><span style="font-weight: bold;">last release</span></big><br>
       </td>
       <td style="width: 27px;"><big><span style="font-weight: bold;">type</span></big><br>
@@ -86,4 +87,36 @@
     
     <tr>
+      <td style="vertical-align: top;">18/03/10<br>
+      </td>
+      <td style="vertical-align: top;">SR<br>
+      </td>
+      <td style="vertical-align: top;">516<br>
+      </td>
+      <td style="vertical-align: top;">3.7a<br>
+      </td>
+      <td style="vertical-align: top;">N<br>
+      </td>
+      <td style="vertical-align: top;">Simple installation method has been documented (see chapter 5.0). Respective scripts and configuration files have been updated.<br>
+      </td>
+      <td style="vertical-align: top;">palm_simple_install, palm_simple_run<br>
+      </td>
+    </tr>
+    <tr>
+      <td style="vertical-align: top;"><br>
+      </td>
+      <td style="vertical-align: top;"><br>
+      </td>
+      <td style="vertical-align: top;"><br>
+      </td>
+      <td style="vertical-align: top;"><br>
+      </td>
+      <td style="vertical-align: top;">B<br>
+      </td>
+      <td style="vertical-align: top;">opt=1 is forced for PGI-compiler in routine<span style="font-family: Courier New,Courier,monospace;"> buoyancy </span>by compiler-directive. Otherwise, program aborts with SIGFPE.<br>
+      </td>
+      <td style="vertical-align: top;">buoyancy<br>
+      </td>
+    </tr>
+<tr>
       <td style="vertical-align: top;">16/03/10<br>
       </td>
@@ -1168,5 +1201,5 @@
     <span style="font-family: Courier New,Courier,monospace;">! Former revisions:</span><br style="font-family: Courier New,Courier,monospace;">
     <span style="font-family: Courier New,Courier,monospace;">! -----------------</span><br style="font-family: Courier New,Courier,monospace;">
-    <span style="font-family: Courier New,Courier,monospace;">! $Id$</span><br style="font-family: Courier New,Courier,monospace;">
+    <span style="font-family: Courier New,Courier,monospace;">! §Id: init_3d_model.f90 <span style="color: rgb(51, 102, 255); font-weight: bold;">425 2010-02-06 13:37:48Z raasch</span> §</span><br style="font-family: Courier New,Courier,monospace;">
     <span style="font-family: Courier New,Courier,monospace;">!</span><br style="font-family: Courier New,Courier,monospace;">
     <span style="font-family: Courier New,Courier,monospace;"></span><span style="font-family: Courier New,Courier,monospace;"></span><span style="font-family: Courier New,Courier,monospace;"></span><span style="font-family: Courier New,Courier,monospace;">! 407 2009-12-01 15:01:15Z maronga</span><br style="font-family: Courier New,Courier,monospace;">
@@ -1187,14 +1220,19 @@
     <span style="font-family: Courier New,Courier,monospace;">! -----------------</span><br style="font-family: Courier New,Courier,monospace;">
 
-    <span style="font-family: Courier New,Courier,monospace;">! $Id$<br>
+    <span style="font-family: Courier New,Courier,monospace;">! §Id: </span><span style="font-family: Courier New,Courier,monospace;">init_3d_model.f90 425 2010-02-06 13:37:48Z raasch</span><span style="font-family: Courier New,Courier,monospace;"> §<br>
 !</span><br style="font-family: Courier New,Courier,monospace;">
-    <span style="font-family: Courier New,Courier,monospace;">! </span><span style="font-family: Courier New,Courier,monospace;"><span style="font-weight: bold; color: rgb(51, 51, 255);">377 2008-08-30 11:03:41Z raasch</span><br>
+    <span style="font-family: Courier New,Courier,monospace;">! </span><span style="font-family: Courier New,Courier,monospace; color: rgb(51, 102, 255); font-weight: bold;">425 2010-02-06 13:37:48Z raasch</span><span style="font-family: Courier New,Courier,monospace;"><span style="font-weight: bold; color: rgb(51, 51, 255);"></span><br>
 ! </span><span style="font-family: Courier New,Courier,monospace; font-weight: bold;">new dummy argument abcd</span><br style="font-family: Courier New,Courier,monospace;">
 
     <span style="font-family: Courier New,Courier,monospace;">!</span><br style="font-family: Courier New,Courier,monospace;">
 
-    <span style="font-family: Courier New,Courier,monospace;">! 359 2008-06-01 15:01:15Z maronga</span><br style="font-family: Courier New,Courier,monospace;">
+    <span style="font-family: Courier New,Courier,monospace;">! 407 2009-12-01 15:01:15Z maronga</span><br style="font-family: Courier New,Courier,monospace;">
 
     <span style="font-family: Courier New,Courier,monospace;">! var_ts is replaced by dots_max<br>
+    <br>
+    <span style="font-family: Times New Roman,Times,serif;">Note that the "<span style="font-family: Courier New,Courier,monospace;">§</span>"
+in this example should read "$", but "$" cannot be used here, because
+otherwise svn would replace these entries after every change to this
+technical documentation.</span><br>
  </span><br>
   </li>
Index: palm/trunk/SOURCE/buoyancy.f90
===================================================================
--- palm/trunk/SOURCE/buoyancy.f90	(revision 515)
+++ palm/trunk/SOURCE/buoyancy.f90	(revision 516)
@@ -9,4 +9,8 @@
 ! -----------------
 ! $Id$
+!
+! 515 2010-03-18 02:30:38Z raasch
+! PGI-compiler creates SIGFPE in routine buoyancy, if opt>1 is used! Therefore,
+! opt=1 is forced by compiler-directive.
 !
 ! 247 2009-02-27 14:01:30Z heinze