Index: palm/trunk/DOC/tec/technical_documentation.html
===================================================================
--- palm/trunk/DOC/tec/technical_documentation.html	(revision 528)
+++ palm/trunk/DOC/tec/technical_documentation.html	(revision 529)
@@ -1,4 +1,6 @@
 <!DOCTYPE html PUBLIC "-//w3c//dtd html 4.0 transitional//en">
 <html><head>
+
+
 
 
@@ -90,4 +92,20 @@
     
     <tr>
+      <td style="vertical-align: top;">31/03/10<br>
+      </td>
+      <td style="vertical-align: top;">RH<br>
+      </td>
+      <td style="vertical-align: top;">529<br>
+      </td>
+      <td style="vertical-align: top;">3.7a<br>
+      </td>
+      <td style="vertical-align: top;">C<br>
+      </td>
+      <td style="vertical-align: top;">List of variable names have to specified using blank separated lists and single quotes<br>
+      </td>
+      <td style="vertical-align: top;">palmplot<br>
+      </td>
+    </tr>
+<tr>
       <td style="vertical-align: top;">30/03/10<br>
       </td>
Index: palm/trunk/SCRIPTS/NCL/cross_sections.ncl
===================================================================
--- palm/trunk/SCRIPTS/NCL/cross_sections.ncl	(revision 528)
+++ palm/trunk/SCRIPTS/NCL/cross_sections.ncl	(revision 529)
@@ -1533,6 +1533,7 @@
 	       vecres@gsnLeftString = "t=" + decimalPlaces(t_all(lo)/3600,2,True) +"h   "+level	
 	    end if
-	    vecres@tiXAxisString    = " " 
-	    if (xyc .EQ. 1)then  
+	    if (xyc .EQ. 1) then  
+               vecres@tiXAxisString = "x [m]"
+	       vecres@tiYAxisString = "y [m]"   
 	       if (sort .EQ. "time")then                                          
                   plot(n) = gsn_csm_vector(wks_ps,vect1(li,lo-los,:,:),vect2(li,lo-los,:,:),vecres)
@@ -1542,4 +1543,6 @@
 	    end if
 	    if (xzc .EQ. 1) then
+               vecres@tiXAxisString = "x [m]"
+	       vecres@tiYAxisString = "z [m]" 
 	       if (sort .EQ. "time")then 
 	          plot(n) = gsn_csm_vector(wks_ps,vect1(li,:,lo-los,:),vect2(li,:,lo-los,:),vecres)
@@ -1549,4 +1552,6 @@
 	    end if
 	    if (yzc .EQ. 1) then
+               vecres@tiXAxisString = "y [m]"
+	       vecres@tiYAxisString = "z [m]" 
 	       if (sort .EQ. "time")then 
 	          plot(n) = gsn_csm_vector(wks_ps,vect1(li,:,:,lo-los),vect2(li,:,:,lo-los),vecres)
@@ -1562,5 +1567,5 @@
    do varn=dim-1,0,1 
 
-      if (vector .EQ. 1) then    
+      if (vector .EQ. 1 ) then    
          check_vecp = isStrSubset( plotvec,","+vNam(varn)+",") 
       end if 
@@ -1678,5 +1683,5 @@
   			vecres@gsnLeftString    = " "             ; turn off left string
   			vecres@tiXAxisString    = " "   
-                        plot_vec=gsn_csm_vector(wks_ps,vect1(lo,li,:,:),vect2(lo,li,:,:),vecres)
+                        plot_vec=gsn_csm_vector(wks_ps,vect1(lo,li-lis,:,:),vect2(lo,li-lis,:,:),vecres)
                         overlay(plot(n), plot_vec)
                      end if
@@ -1802,5 +1807,5 @@
    ; merge plots onto one page 
    ; ***************************************************   
-   if (vector .EQ. 1 .AND. plotvec .EQ. "plotvec")then 
+   if (vector .EQ. 1 .AND. plotvec .EQ. "plotvec") then 
       if ((format_out .EQ. "eps" .OR. format_out .EQ. "epsi") .AND. no_time*no_layer*(no_var+1) .gt. no_rows*no_columns) then
          gsn_panel(wks_ps,plot(0:(no_time*no_layer*(no_var+1))-1),(/no_var+1,no_layer*no_time/),cs_resP)
Index: palm/trunk/SCRIPTS/palmplot
===================================================================
--- palm/trunk/SCRIPTS/palmplot	(revision 528)
+++ palm/trunk/SCRIPTS/palmplot	(revision 529)
@@ -9,4 +9,7 @@
     # 30/03/10 - Rieke - substituting double quotes (") with a character 
     #                    variable (dq) containing double quotes 
+    # 31/03/10 - Rieke - list of variable names can be specified using 
+    #                    blank separated lists instead of comma 
+    #                    separated lists
 
 
@@ -16,5 +19,5 @@
     (printf "\n   palmplot is designed to run the NCL scripts of PALM \n"
      printf "\n   palmplot can be called as follows:"
-     printf "\n   palmplot script_identifier file_1=OUTPUT/test.nc file_out=test format_out=pdf var=,pt,u, no_rows=2 ...\n"
+     printf "\n   palmplot script_identifier file_1=OUTPUT/test.nc file_out=test format_out=pdf var='pt w\"pt\" w*pt* u' no_rows=2 ...\n"
      printf "\n   script_identifier has to be one of the following:"
      printf "\n    xy, xz, yz, pr, ts, sp"
@@ -30,4 +33,5 @@
  a=""
  arg=""
+ b=""
  key=""
  script=""
@@ -40,4 +44,5 @@
  STRINGPARAMS_SP=""
  STRINGPARAMS_TS=""
+ STRINGPARAMS_VA=""
 
 
@@ -45,4 +50,5 @@
  # CO: PARAMETERS WHICH ARE COMMON FOR ALL NCL SCRIPTS
  # CS: cross_sections.ncl PR: profiles.ncl SP: spectra.ncl TS: timeseries.ncl
+ # VA: PARAMETERS WHICH CONTAIN LISTS OF VARIABLE NAMES
  STRINGPARAMS_CO="file_1 format_out file_out var "
  STRINGPARAMS_CS="sort mode fill_mode unit_x unit_y unit_z vec1 vec2 plotvec"
@@ -50,4 +56,5 @@
  STRINGPARAMS_SP="sort unit_x unit_y"
  STRINGPARAMS_TS="unit_t"
+ STRINGPARAMS_VA="var c_var vec1 vec2 plotvec"
 
 
@@ -96,5 +103,5 @@
     key=${arg%%=*}
     value=${arg#*=}
-    
+
     # ALLOWING RELATIVE AND ABSOLUTE FILE PATHS 
     if [[ "$key" ==  @(file_*) && "$value" != @(~/*|/*) ]]
@@ -108,9 +115,32 @@
       if [ "$key" = "$a" ]
       then
+
+         # PROCESSING STRINGS CONTAINING LISTS OF VARIABLES
+         for b in $STRINGPARAMS_VA
+         do
+           if [ "$key" = "$b" ]
+           then
+              if [[ "$value" != "all" ]]
+              then
+                 # SUBSTITUTING BLANKS WITH COMMAS IN 
+                 # PARAMETERS CONTAINING LISTS OF VARIABLES
+                 value=`echo $value | sed 's/ /,/g'`            
+                 if [[ "$value" == ${value#,} ]]
+                 then
+                    value=,$value
+                 fi
+                 if [[ "$value" == ${value%,} ]]
+                 then
+                    value=$value,
+                 fi
+                 break
+              fi
+           fi
+         done
+
          # SUBSTITUTING DOUBLE QUOTES - REQUIRED BY NCL
          value=`echo $value | sed 's/\"/\"+dq+\"/g'`
          # SETTING ENTIRE STRING IN DOUBLE QUOTES - REQUIRED BY NCL
          value=\"$value\"
-         break
       fi
     done