Index: palm/trunk/DOC/app/chapter_4.1.html
===================================================================
--- palm/trunk/DOC/app/chapter_4.1.html	(revision 530)
+++ palm/trunk/DOC/app/chapter_4.1.html	(revision 531)
@@ -1,4 +1,6 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 <html><head>
+
+
 
 
@@ -14,19 +16,5 @@
   
   
-  <meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
-
-
-
-
-
-
-  
-  
-  
-  
-  
-  
-  <title>PALM chapter 4.1</title></head>
-<body>
+  <meta http-equiv="content-type" content="text/html; charset=ISO-8859-1"><title>PALM chapter 4.1</title></head><body>
 
 
@@ -3413,11 +3401,14 @@
       <br>
       <br>
-         Sets the time period a precursor run shall run uncoupled. This parameter is used to set up the precursor run control for atmosphere-ocean-coupled runs. It has to be set individually to the atmospheric / oceanic precursor run. The time in the data output will show negative values during the precursor run. See documentation  for further information.
-      
-      </td>
+Sets the time period a precursor run shall run uncoupled. This
+parameter is used to set up the precursor run control for
+atmosphere-ocean-coupled runs. It has to be set individually to the
+atmospheric / oceanic precursor run. The time in the data output will
+show negative values during the precursor run. See documentation for
+further information. </td>
 
     </tr>
 
-      <td style="vertical-align: top;"><a name="cthf"></a><span style="font-weight: bold;">cthf</span></td>
+      <tr><td style="vertical-align: top;"><a name="cthf"></a><span style="font-weight: bold;">cthf</span></td>
 
       <td style="vertical-align: top;">R</td>
@@ -15643,5 +15634,5 @@
 
 A more effective control of
-the &ldquo;overshoots&rdquo; can be achieved with parameter <a href="#cut_spline_overshoot">cut_spline_overshoot</a>.
+the &#8220;overshoots&#8221; can be achieved with parameter <a href="#cut_spline_overshoot">cut_spline_overshoot</a>.
       </td>
 
@@ -17249,5 +17240,5 @@
 
 
- </tr>
+ 
 
  <tr>
@@ -17303,6 +17294,6 @@
    <p><span style="font-weight: bold;">Attention:</span><br>
 
-      The large scale vertical motion is only applied to the prognostic equation for the potential 
-      temperature because it cannot be applied to the momentum equations due to incompressibility. 
+      The large scale vertical motion is only applied to the prognostic equation for the scalar quantities (potential 
+      temperature, humidity if  <a href="chapter_4.1.html#humidity">humidity</a> = .T. or passive scalar if <a href="chapter_4.1.html#passive_scalar">passive_scalar</a> = .T.) because it cannot be applied to the momentum equations due to incompressibility. 
       Thus, the model is not mass consistent.</p>
 
@@ -17313,5 +17304,5 @@
 
 
- </tr>
+ 
 
  <tr>
@@ -17344,5 +17335,5 @@
 default values result in a profile which is zero everywhere regardless of the
 values of <a href="#ws_vertical_gradient">ws_vertical_gradient</a>.
-For the piecewise construction of temperature profiles see <a href="#ws_vertical_gradient">ws_vertical_gradient</a>.</p>
+For the piecewise construction of the subsidence/ascent velocity profile see <a href="#ws_vertical_gradient">ws_vertical_gradient</a>.</p>
       </td>
 
Index: palm/trunk/DOC/app/chapter_4.2.html
===================================================================
--- palm/trunk/DOC/app/chapter_4.2.html	(revision 530)
+++ palm/trunk/DOC/app/chapter_4.2.html	(revision 531)
@@ -1,4 +1,6 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 <html><head>
+
+
 
 
@@ -4807,5 +4809,10 @@
 
 
- </tr>
+ </tr><tr>
+            <td style="vertical-align: top;"><font color="#ff6666"><i>hyp</i></font></td>
+            <td style="vertical-align: top;">Hydrostatic pressure (in dbar)<br>
+            </td>
+          </tr>
+
 
 
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 530)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 531)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Bugfix: unit of hyp changed to dbar 
 !
 ! Former revisions:
@@ -2205,5 +2205,5 @@
           CASE ( 'hyp' )
              dopr_index(i) = 72
-             dopr_unit(i)  = 'kPa'
+             dopr_unit(i)  = 'dbar'
              hom(:,2,72,:) = SPREAD( zu, 2, statistic_regions+1 )
 
Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 530)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 531)
@@ -880,5 +880,5 @@
        hom(:,1,39,sr) = sums(:,38) / ( sums(:,32) + 1E-20 )**1.5    ! Sw
        hom(:,1,40,sr) = sums(:,40)     ! p
-       hom(:,1,45,sr) = sums(:,45)     ! w"q"
+       hom(:,1,45,sr) = sums(:,45)     ! w"vpt"
        hom(:,1,46,sr) = sums(:,46)     ! w*vpt*       
        hom(:,1,47,sr) = sums(:,45) + sums(:,46)    ! wvpt
@@ -907,5 +907,5 @@
        hom(:,1,70,sr) = sums(:,70)     ! q*2
        hom(:,1,71,sr) = sums(:,71)     ! prho
-       hom(:,1,72,sr) = hyp * 1E-4     ! hyp in kPa
+       hom(:,1,72,sr) = hyp * 1E-4     ! hyp in dbar
 
        hom(:,1,pr_palm-1,sr) = sums(:,pr_palm-1)
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 530)
+++ palm/trunk/SOURCE/modules.f90	(revision 531)
@@ -5,5 +5,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! character length of dopr_unit enlarged
 !
 ! Former revisions:
@@ -1019,5 +1019,5 @@
              ( 'unknown', i9 = 1, dots_max-23 ) /)
 
-    CHARACTER (LEN=7), DIMENSION(300) ::  dopr_unit = 'unknown'
+    CHARACTER (LEN=9), DIMENSION(300) ::  dopr_unit = 'unknown'
 
     CHARACTER (LEN=7), DIMENSION(0:1,100) ::  do2d_unit, do3d_unit
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 530)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 531)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! add call of subsidence in the equation for humidity / passive scalar
 !
 ! Former revisions:
@@ -658,4 +658,10 @@
 !--          Sink or source of scalar concentration due to canopy elements
              IF ( plant_canopy ) CALL plant_canopy_model( i, j, 5 )
+
+!
+!--          If required compute influence of large-scale subsidence/ascent
+             IF ( large_scale_subsidence ) THEN
+                CALL subsidence ( i, j, tend, q, q_init )
+             ENDIF
 
              CALL user_actions( i, j, 'q-tendency' )
@@ -1110,5 +1116,4 @@
           ENDIF
 
-
           CALL user_actions( i, j, 'pt-tendency' )
 
@@ -1223,4 +1228,10 @@
 !--          Sink or source of scalar concentration due to canopy elements
              IF ( plant_canopy ) CALL plant_canopy_model( i, j, 5 )
+
+
+!--          If required compute influence of large-scale subsidence/ascent
+             IF ( large_scale_subsidence ) THEN
+                CALL subsidence ( i, j, tend, q, q_init )
+             ENDIF
 
 
@@ -1907,4 +1918,10 @@
        IF ( plant_canopy ) CALL plant_canopy_model( 5 )
 
+!
+!--    If required compute influence of large-scale subsidence/ascent
+       IF ( large_scale_subsidence ) THEN
+         CALL subsidence ( tend, q, q_init )
+       ENDIF
+
        CALL user_actions( 'q-tendency' )
 