Index: /palm/trunk/SCRIPTS/NCL/.ncl.config.default
===================================================================
--- /palm/trunk/SCRIPTS/NCL/.ncl.config.default	(revision 533)
+++ /palm/trunk/SCRIPTS/NCL/.ncl.config.default	(revision 534)
@@ -2192,12 +2192,12 @@
       ; data type: float
       ;
-      ; example: font_size_legend = 0.2
-      ;
-      ; default:   0.2 
+      ; example: font_size_legend = 0.02
+      ;
+      ; default:   0.02 
       ;***************************************************
       if(.not. isvar("font_size_legend"))then
       
       	 
-         font_size_legend = 0.2
+         font_size_legend = 0.02
 	 
 	 
Index: /palm/trunk/SCRIPTS/NCL/cross_sections.ncl
===================================================================
--- /palm/trunk/SCRIPTS/NCL/cross_sections.ncl	(revision 533)
+++ /palm/trunk/SCRIPTS/NCL/cross_sections.ncl	(revision 534)
@@ -1156,12 +1156,12 @@
 	 cs_res@tmXBLabels = array_xb_labels/norm_x
 	 if (norm_x .NE. 1.)then
-	    cs_res@tiXAxisString = "x ["+unit_x+"]"
+	    cs_res@tiXAxisString = "x ("+unit_x+")"
 	 else
-	    cs_res@tiXAxisString = "x [m]"
+	    cs_res@tiXAxisString = "x (m)"
 	 end if 
 	 if (norm_y .NE. 1.)then
-            cs_res@tiYAxisString = "y ["+unit_y+"]"
+            cs_res@tiYAxisString = "y ("+unit_y+")"
 	 else
-	    cs_res@tiYAxisString = "y [m]"
+	    cs_res@tiYAxisString = "y (m)"
 	 end if   
       end if
@@ -1172,12 +1172,12 @@
 	 cs_res@tmXBLabels = array_xb_labels/norm_x
 	 if (norm_x .NE. 1.)then
-	    cs_res@tiXAxisString = "x ["+unit_x+"]"
+	    cs_res@tiXAxisString = "x ("+unit_x+")"
 	 else
-	    cs_res@tiXAxisString = "x [m]"
+	    cs_res@tiXAxisString = "x (m)"
 	 end if 
 	 if (norm_z .NE. 1.)then
-            cs_res@tiYAxisString = "z ["+unit_z+"]"
+            cs_res@tiYAxisString = "z ("+unit_z+")"
 	 else
-	    cs_res@tiYAxisString = "z [m]"
+	    cs_res@tiYAxisString = "z (m)"
 	 end if
       end if
@@ -1188,12 +1188,12 @@
 	 cs_res@tmXBLabels = array_xb_labels/norm_y
 	 if (norm_y .NE. 1.)then
-	    cs_res@tiXAxisString = "y ["+unit_y+"]"
+	    cs_res@tiXAxisString = "y ("+unit_y+")"
 	 else
-	    cs_res@tiXAxisString = "y [m]"
+	    cs_res@tiXAxisString = "y (m)"
 	 end if 
 	 if (norm_z .NE. 1.)then
-            cs_res@tiYAxisString = "z ["+unit_z+"]"
+            cs_res@tiYAxisString = "z ("+unit_z+")"
 	 else
-	    cs_res@tiYAxisString = "z [m]"
+	    cs_res@tiYAxisString = "z (m)"
 	 end if
       end if
@@ -1213,14 +1213,14 @@
       end if
       if (xyc .EQ. 1)then
-         cs_res@tiXAxisString = "x [m]"
-         cs_res@tiYAxisString = "y [m]"
+         cs_res@tiXAxisString = "x (m)"
+         cs_res@tiYAxisString = "y (m)"
       end if
       if (xzc .EQ. 1)then
-         cs_res@tiXAxisString = "x [m]"
-         cs_res@tiYAxisString = "z [m]"
+         cs_res@tiXAxisString = "x (m)"
+         cs_res@tiYAxisString = "z (m)"
       end if
       if (yzc .EQ. 1)then
-         cs_res@tiXAxisString = "y [m]"
-         cs_res@tiYAxisString = "z [m]"
+         cs_res@tiXAxisString = "y (m)"
+         cs_res@tiYAxisString = "z (m)"
       end if
    end if
@@ -1558,6 +1558,6 @@
 	    end if
 	    if (xyc .EQ. 1) then  
-               vecres@tiXAxisString = "x [m]"
-	       vecres@tiYAxisString = "y [m]"   
+               vecres@tiXAxisString = "x (m)"
+	       vecres@tiYAxisString = "y (m)"   
 	       if (sort .EQ. "time")then                                          
                   plot(n) = gsn_csm_vector(wks_ps,vect1(li,lo-los,:,:),vect2(li,lo-los,:,:),vecres)
@@ -1567,6 +1567,6 @@
 	    end if
 	    if (xzc .EQ. 1) then
-               vecres@tiXAxisString = "x [m]"
-	       vecres@tiYAxisString = "z [m]" 
+               vecres@tiXAxisString = "x (m)"
+	       vecres@tiYAxisString = "z (m)" 
 	       if (sort .EQ. "time")then 
 	          plot(n) = gsn_csm_vector(wks_ps,vect1(li,:,lo-los,:),vect2(li,:,lo-los,:),vecres)
@@ -1576,6 +1576,6 @@
 	    end if
 	    if (yzc .EQ. 1) then
-               vecres@tiXAxisString = "y [m]"
-	       vecres@tiYAxisString = "z [m]" 
+               vecres@tiXAxisString = "y (m)"
+	       vecres@tiYAxisString = "z (m)" 
 	       if (sort .EQ. "time")then 
 	          plot(n) = gsn_csm_vector(wks_ps,vect1(li,:,:,lo-los),vect2(li,:,:,lo-los),vecres)
Index: /palm/trunk/SCRIPTS/NCL/profiles.ncl
===================================================================
--- /palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 533)
+++ /palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 534)
@@ -1122,5 +1122,5 @@
    res@pmLegendHeightF         = 0.05*np
    res@lgLabelFontHeightF     = font_size
-   res@lgTitleString      = "Time [h]"
+   res@lgTitleString      = "Time (h)"
    res@lgTitleFontHeightF = font_size   
    res@txFontHeightF      = font_size
@@ -1134,7 +1134,7 @@
    end if
    if (norm_z .EQ. 1)then
-      res@tiYAxisString      = "Height [m]"
+      res@tiYAxisString      = "Height (m)"
    else   
-      res@tiYAxisString      = "Height / "+norm_z+" [m]"
+      res@tiYAxisString      = "Height / "+norm_z+" (m)"
    end if
     
@@ -1838,5 +1838,5 @@
          if (over .EQ. 0) then  
             res@gsnLeftString      = vNam(varn)
-	    res@tiXAxisString      = "["+unit(varn)+"]"
+	    res@tiXAxisString      = "("+unit(varn)+")"
             res@gsnRightString     = " "
             res@trYMinF            = min_z
@@ -1864,5 +1864,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "                 
                   if (xs .EQ. -1) then  
@@ -1888,5 +1888,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "                  
                   if (xs .EQ. -1) then
@@ -1911,5 +1911,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then
@@ -1935,5 +1935,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -1958,5 +1958,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -1981,5 +1981,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2005,5 +2005,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2028,5 +2028,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2051,5 +2051,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2075,5 +2075,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2098,5 +2098,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then
@@ -2122,5 +2122,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then
@@ -2145,5 +2145,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2169,5 +2169,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2192,5 +2192,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2215,5 +2215,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then
@@ -2239,5 +2239,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2262,5 +2262,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then
@@ -2285,5 +2285,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2309,5 +2309,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2332,5 +2332,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2355,5 +2355,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2379,5 +2379,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2402,5 +2402,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2426,5 +2426,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2449,5 +2449,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2472,5 +2472,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2496,5 +2496,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2519,5 +2519,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2542,5 +2542,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2566,5 +2566,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2589,5 +2589,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2612,5 +2612,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2636,5 +2636,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2659,5 +2659,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2682,5 +2682,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2706,5 +2706,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2729,5 +2729,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2752,5 +2752,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2776,5 +2776,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2799,5 +2799,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2822,5 +2822,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2846,5 +2846,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2869,5 +2869,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -2892,5 +2892,5 @@
                else
                   res@gsnLeftString      = vNam(varn)
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
@@ -3144,5 +3144,5 @@
 
             res@gsnLeftString      = vNam(varn)
-	    res@tiXAxisString      = "["+unit(varn)+"]"
+	    res@tiXAxisString      = "("+unit(varn)+")"
             res@gsnRightString     = " "
             res@trYMinF            = min_z
@@ -3165,5 +3165,5 @@
                if (u .EQ. 0) then
                   res@gsnLeftString      = "u, v and w"
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then
@@ -3215,5 +3215,5 @@
                if (pt .EQ. 0) then
                   res@gsnLeftString      = "pt, vpt and lpt"
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then
@@ -3264,5 +3264,5 @@
                if (q .EQ. 0) then
                   res@gsnLeftString      = "q, qv and ql"
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then
@@ -3314,5 +3314,5 @@
                if (e .EQ. 0) then
                   res@gsnLeftString      = "e and e*"
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then
@@ -3360,5 +3360,5 @@
                if (km .EQ. 0) then
                   res@gsnLeftString      = "km and kh"
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then
@@ -3408,5 +3408,5 @@
                if (wpup .EQ. 0) then
                   res@gsnLeftString      = "w"+dq+"u"+dq+", w*u* and wu"
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then
@@ -3458,5 +3458,5 @@
                if (wpvp .EQ. 0) then
                   res@gsnLeftString      = "w"+dq+"v"+dq+", w*v* and wv"
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then
@@ -3508,5 +3508,5 @@
                if (wpptp .EQ. 0) then                 
                   res@gsnLeftString      = "w"+dq+"pt"+dq+", w*pt* and wpt"
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then
@@ -3557,5 +3557,5 @@
                if (wsptsBC .EQ. 0) then
                   res@gsnLeftString      = "w*pt*BC and wptBC"
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then
@@ -3604,5 +3604,5 @@
                if (wpvptp .EQ. 0) then
                   res@gsnLeftString      = "w"+dq+"vpt"+dq+", w*vpt* and wvpt"
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then
@@ -3654,5 +3654,5 @@
                if (wpqp .EQ. 0) then 
                   res@gsnLeftString      = "w"+dq+"q"+dq+", w*q* and wq"
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then
@@ -3704,5 +3704,5 @@
                if (wpqvp .EQ. 0) then
                   res@gsnLeftString      ="w"+dq+"qv"+dq+" , w*qv* and wqv"
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then
@@ -3754,5 +3754,5 @@
                if (wpsp .EQ. 0) then
                   res@gsnLeftString      = "w"+dq+"s"+dq+", w*s* and ws"
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then
@@ -3804,5 +3804,5 @@
                if (wpsap .EQ. 0) then
                   res@gsnLeftString      = "w"+dq+"sa"+dq+", w*sa* and wsa"
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then
@@ -3855,5 +3855,5 @@
                if (us2 .EQ. 0) then
                   res@gsnLeftString      = "u*2, v*2 and w*2"
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then
@@ -3906,5 +3906,5 @@
                if (wsususodz .EQ. 0) then 
                   res@gsnLeftString      = "w*u*u*:dz, w*p*:dz and w"+dq+"e:dz"
-		  res@tiXAxisString      = "["+unit(varn)+"]"
+		  res@tiXAxisString      = "("+unit(varn)+")"
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then
@@ -4028,5 +4028,5 @@
                      res@xyDashPattern  = 0
                      res@gsnLeftString  = "Combined Plot of "+c_var
-		     res@tiXAxisString      = "["+unit(varn)+"]"
+		     res@tiXAxisString      = "("+unit(varn)+")"
                      res@gsnRightString     = " "
                      if (xs .EQ. -1) then 
Index: /palm/trunk/SCRIPTS/NCL/spectra.ncl
===================================================================
--- /palm/trunk/SCRIPTS/NCL/spectra.ncl	(revision 533)
+++ /palm/trunk/SCRIPTS/NCL/spectra.ncl	(revision 534)
@@ -401,5 +401,5 @@
       plot  = new(dim*dimz,graphic)
       np=dimt
-      res@lgTitleString = "Time [h]"
+      res@lgTitleString = "Time (h)"
    else
       plot  = new(dim*dimt,graphic)
@@ -463,4 +463,5 @@
          a=getvardims(temp_att)
          b=dimsizes(a)
+         delete(temp_att)
 
          if (height_level(0) .NE. -1)then
@@ -506,10 +507,10 @@
 	    end do
 	    if (norm_x .NE. 1.)then
-               res@tiXAxisString = "k~B~x~N~ ["+unit_x+"]"
+               res@tiXAxisString = "k~B~x~N~ ("+unit_x+")"
 	    else
 	       if (norm_height .EQ. 1)then
-	          res@tiXAxisString = "k~B~x~N~ x z [1]"
+	          res@tiXAxisString = "k~B~x~N~ x z (1"
 	       else
-	          res@tiXAxisString = "k~B~x~N~ [1/m]"
+	          res@tiXAxisString = "k~B~x~N~ (1/m)"
 	       end if
 	    end if
@@ -522,10 +523,10 @@
 	    end do
 	    if (norm_x .NE. 1.)then
-               res@tiXAxisString = "k~B~x~N~ ["+unit_x+"]"
+               res@tiXAxisString = "k~B~x~N~ ("+unit_x+")"
 	    else
 	       if (norm_height .EQ. 1)then
-	          res@tiXAxisString = "k~B~x~N~ x z [1]"
+	          res@tiXAxisString = "k~B~x~N~ x z (1)"
 	       else
-	          res@tiXAxisString = "k~B~x~N~ [1/m]"
+	          res@tiXAxisString = "k~B~x~N~ (1/m)"
 	       end if 
 	    end if
@@ -557,5 +558,5 @@
                res@gsnLeftString      = vNam(varn)
                res@gsnRightString     = "Height = "+z(p)+"m"               
-               res@tiYAxisString      = "["+unit_y+"]"           
+               res@tiYAxisString      = "("+unit_y+")"           
                res@xyExplicitLegendLabels  = legend_label	       
 	       if (norm_height .EQ. 1)then
@@ -596,5 +597,5 @@
 	             end if
 		     if (q .EQ. 0)then
-		        res@tiYAxisString      = "["+unit_y+"]"		        
+		        res@tiYAxisString      = "("+unit_y+")"		        
 		        res@gsnLeftString      = vNam(varn)
                         res@gsnRightString     = "Time = "+legend_label(p)+"h"
@@ -617,10 +618,10 @@
 			   lgres@lgLineColors = color
 			end if
-			lgres@lgTitleString = "Height [m]"  
+			lgres@lgTitleString = "Height (m)"  
                         lgres@lgLabelFont        = "helvetica"
-			lgres@lgLabelFontHeightF     = font_size_legend 
+			lgres@lgLabelFontHeightF     = font_size_legend*6 
                         lgres@lgTitleFontHeightF     = font_size      
                         lgres@vpWidthF           = 0.12           
-                        lgres@vpHeightF          = font_size_legend/5*dimz           
+                        lgres@vpHeightF          = font_size_legend*(dimz+3)           
   
                         lbid = gsn_create_legend(wks,dimz,legend_label_z,lgres)       
@@ -669,4 +670,6 @@
    resP@txFontHeightF          = 0.015
 
+   no_frames = 0
+
    if ((format_out .EQ. "eps" .OR. format_out .EQ. "epsi") .AND. n .gt. no_rows*no_columns) then
       gsn_panel(wks,plot,(/n,1/),resP)
@@ -678,6 +681,8 @@
          if( (i+no_rows*no_columns) .gt. (n-1)) then
             gsn_panel(wks,plot(i:n-1),(/no_rows,no_columns/),resP)
+            no_frames = no_frames + 1
          else
-           gsn_panel(wks,plot(i:i+no_rows*no_columns-1),(/no_rows,no_columns/),resP)
+            gsn_panel(wks,plot(i:i+no_rows*no_columns-1),(/no_rows,no_columns/),resP)
+            no_frames = no_frames + 1   
          end if
       end do
Index: /palm/trunk/SCRIPTS/NCL/timeseries.ncl
===================================================================
--- /palm/trunk/SCRIPTS/NCL/timeseries.ncl	(revision 533)
+++ /palm/trunk/SCRIPTS/NCL/timeseries.ncl	(revision 534)
@@ -606,7 +606,7 @@
             res@gsnRightString      = unit(varn)
 	    if (norm_t .NE. 1.)then
-               res@tiXAxisString        = "t ["+unit_t+"]"
+               res@tiXAxisString        = "t ("+unit_t+")"
 	    else
-	       res@tiXAxisString        = "t [s]"
+	       res@tiXAxisString        = "t (s)"
 	    end if
 	    res@tiYAxisString = " "
@@ -1192,7 +1192,7 @@
         
 	    if (norm_t .NE. 1.)then
-               res@tiXAxisString        = "t ["+unit_t+"]"
+               res@tiXAxisString        = "t ("+unit_t+")"
 	    else
-	       res@tiXAxisString        = "t [s]"
+	       res@tiXAxisString        = "t (s)"
 	    end if
 	    res@tiYAxisString = " "