Index: /palm/trunk/SCRIPTS/.mrun.config.imuk
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.imuk	(revision 536)
+++ /palm/trunk/SCRIPTS/.mrun.config.imuk	(revision 537)
@@ -28,6 +28,6 @@
 %compiler_name_ser ifort                                         lcmuk parallel
 %cpp_options       -D__mpi2:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf_64bit   lcmuk parallel
-%netcdf_inc        -I:/muksoft_64/packages/netcdf/3.6.2/include            lcmuk parallel
-%netcdf_lib        -L/muksoft_64/packages/netcdf/3.6.2/lib:-lnetcdf        lcmuk parallel
+%netcdf_inc        -I:/muksoft_64/packages/netcdf/3.6.3/include            lcmuk parallel
+%netcdf_lib        -L/muksoft_64/packages/netcdf/3.6.3/lib:-lnetcdf        lcmuk parallel
 %fopts             -axW:-cpp:-r8:-nbs:-convert:little_endian:-I:/muksoft_64/packages/mpich2/2.1.0.5/include     lcmuk parallel
 %lopts             -axW:-cpp:-r8:-nbs:-Vaxlib:-L:/muksoft_64/packages/mpich2/2.1.0.5/lib                    lcmuk parallel
@@ -38,6 +38,6 @@
 %compiler_name     ifort                                         lcmuk
 %cpp_options       -D__netcdf:-D__netcdf_64bit                   lcmuk
-%netcdf_inc        -I:/muksoft_64/packages/netcdf/3.6.2/include       lcmuk
-%netcdf_lib        -L/muksoft_64/packages/netcdf/3.6.2/lib:-lnetcdf   lcmuk
+%netcdf_inc        -I:/muksoft_64/packages/netcdf/3.6.3/include       lcmuk
+%netcdf_lib        -L/muksoft_64/packages/netcdf/3.6.3/lib:-lnetcdf   lcmuk
 %fopts             -axW:-cpp:-r8:-nbs:-convert:little:endian     lcmuk
 %lopts             -axW:-cpp:-r8:-nbs:-Vaxlib                    lcmuk
@@ -47,6 +47,6 @@
 %compiler_name     ifort                                         lcmuk trace
 %cpp_options       -D__netcdf:-D__netcdf_64bit                   lcmuk trace
-%netcdf_inc        -I:/muksoft_64/packages/netcdf/3.6.2/include       lcmuk trace
-%netcdf_lib        -L/muksoft_64/packages/netcdf/3.6.2/lib:-lnetcdf   lcmuk trace
+%netcdf_inc        -I:/muksoft_64/packages/netcdf/3.6.3/include       lcmuk trace
+%netcdf_lib        -L/muksoft_64/packages/netcdf/3.6.3/lib:-lnetcdf   lcmuk trace
 %fopts             -axW:-cpp:-g:-CB:-inline_debug_info:-r8:-nbs:-convert:little:endian     lcmuk trace
 %lopts             -axW:-cpp:-g:-CB:-inline_debug_info:-r8:-nbs:-Vaxlib                    lcmuk trace
Index: /palm/trunk/SCRIPTS/.mrun.config.imuk_hlrn
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.imuk_hlrn	(revision 536)
+++ /palm/trunk/SCRIPTS/.mrun.config.imuk_hlrn	(revision 537)
@@ -38,6 +38,6 @@
 %compiler_name_ser ifort                                         lcmuk parallel
 %cpp_options       -D__mpi2:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf   lcmuk parallel
-%netcdf_inc        -I:/muksoft_64/packages/netcdf/3.6.2/include            lcmuk parallel
-%netcdf_lib        -L/muksoft_64/packages/netcdf/3.6.2/lib:-lnetcdf        lcmuk parallel
+%netcdf_inc        -I:/muksoft_64/packages/netcdf/3.6.3/include            lcmuk parallel
+%netcdf_lib        -L/muksoft_64/packages/netcdf/3.6.3/lib:-lnetcdf        lcmuk parallel
 %mopts             -j:4                                          lcmuk parallel
 %fopts             -axW:-cpp:-r8:-nbs:-convert:little_endian:-I:/muksoft_64/packages/mpich2/2.1.0.5/include     lcmuk parallel
@@ -47,11 +47,11 @@
 #
 %sgi_feature       ice                                        lcsgih parallel
-%modules           ifort/11.0.069:mvapich2/1.4.0-intel:netcdf lcsgih parallel
+%modules           intel.compiler:mvapich2:netcdf/3.6.3-intel lcsgih parallel
 #%remote_username  <replace by your HLRN username>            lcsgih parallel
 %compiler_name     mpif90                                     lcsgih parallel
 %compiler_name_ser ifort                                      lcsgih parallel
 %cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf   lcsgih parallel
-%netcdf_inc        -I:/sw/dataformats/netcdf/3.6.2/include    lcsgih parallel
-%netcdf_lib        -L/sw/dataformats/netcdf/3.6.2/lib:-lnetcdf:-lnetcdff      lcsgih parallel
+%netcdf_inc        -I:/sw/dataformats/netcdf/3.6.3-intel/include    lcsgih parallel
+%netcdf_lib        -L/sw/dataformats/netcdf/3.6.3-intel/lib:-lnetcdf:-lnetcdff      lcsgih parallel
 %mopts             -j:4                                       lcsgih parallel
 %fopts             -g:-w:-xT:-O3:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgih parallel
Index: /palm/trunk/SCRIPTS/.mrun.config.imuk_ice2_netcdf4
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.imuk_ice2_netcdf4	(revision 536)
+++ /palm/trunk/SCRIPTS/.mrun.config.imuk_ice2_netcdf4	(revision 537)
@@ -38,6 +38,6 @@
 %compiler_name_ser ifort                                         lcmuk parallel
 %cpp_options       -D__mpi2:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf   lcmuk parallel
-%netcdf_inc        -I:/muksoft_64/packages/netcdf/3.6.2/include            lcmuk parallel
-%netcdf_lib        -L/muksoft_64/packages/netcdf/3.6.2/lib:-lnetcdf        lcmuk parallel
+%netcdf_inc        -I:/muksoft_64/packages/netcdf/3.6.3/include            lcmuk parallel
+%netcdf_lib        -L/muksoft_64/packages/netcdf/3.6.3/lib:-lnetcdf        lcmuk parallel
 %mopts             -j:4                                          lcmuk parallel
 %fopts             -axW:-cpp:-r8:-nbs:-convert:little_endian:-I:/muksoft_64/packages/mpich2/2.1.0.5/include     lcmuk parallel
@@ -46,5 +46,5 @@
 #
 %sgi_feature       ice2                                       lcsgih parallel ice2
-%modules           ifort/11.0.069:mvapich2/1.4.0-intel:phdf5:pnetcdf   lcsgih parallel ice2
+%modules           intel.compiler:mvapich2:phdf5:pnetcdf      lcsgih parallel ice2
 #%remote_username  <replace by your HLRN username>            lcsgih parallel
 %compiler_name     mpif90                                     lcsgih parallel ice2