Index: palm/trunk/DOC/tec/technical_documentation.html
===================================================================
--- palm/trunk/DOC/tec/technical_documentation.html	(revision 539)
+++ palm/trunk/DOC/tec/technical_documentation.html	(revision 540)
@@ -1,4 +1,5 @@
 <!DOCTYPE html PUBLIC "-//w3c//dtd html 4.0 transitional//en">
 <html><head>
+
 
 
@@ -95,4 +96,22 @@
     
     <tr>
+      <td style="vertical-align: top;">15/06/10<br>
+      </td>
+      <td style="vertical-align: top;">RH<br>
+      </td>
+      <td style="vertical-align: top;">540<br>
+      </td>
+      <td style="vertical-align: top;">3.7a<br>
+      </td>
+      <td style="vertical-align: top;">C<br>
+      </td>
+      <td style="vertical-align: top;">ssh from compute nodes to login
+nodes on hosts lcsgih/lcsgib is done using the names
+hicegate0/bicegate0 instead of the IP addresses<br>
+      </td>
+      <td style="vertical-align: top;">mrun<br>
+      </td>
+    </tr>
+<tr>
       <td style="vertical-align: top;">21/04/10<br>
       </td>
@@ -101,5 +120,5 @@
       <td style="vertical-align: top;">532<br>
       </td>
-      <td style="vertical-align: top;">3.71<br>
+      <td style="vertical-align: top;">3.7a<br>
       </td>
       <td style="vertical-align: top;">C<br>
Index: palm/trunk/SCRIPTS/mrun
===================================================================
--- palm/trunk/SCRIPTS/mrun	(revision 539)
+++ palm/trunk/SCRIPTS/mrun	(revision 540)
@@ -205,4 +205,7 @@
      #                     directly called and must not be given by an output
      #                     command in the configuration file any more
+     # 15/06/10 - Rieke  - ssh from compute nodes to login nodes on hosts 
+     #                     lcsgih/lcsgib is done using the names 
+     #                     hicegate0/bicegate0 instead of the IP addresses
 
 
@@ -2519,12 +2522,12 @@
        elif [[ $localhost = lcsgib ]]
        then
-          printf "      compiler is called via ssh on \"bicegate\" \n"
-          ssh  130.73.232.103  -l $usern  ". /usr/share/modules/init/bash; $module_calls cd $TEMPDIR; make $mopts -f Makefile PROG=a.out  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$fopts\"  LDFLAGS=\"$lopts\" "
+          printf "      compiler is called via ssh on \"bicegate0\" \n"
+          ssh  bicegate0  -l $usern  ". /usr/share/modules/init/bash; $module_calls cd $TEMPDIR; make $mopts -f Makefile PROG=a.out  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$fopts\"  LDFLAGS=\"$lopts\" "
           [[ ! -f a.out ]]  &&  compile_error=true
           continue   # ANDERENFALLS IST STATUS=1, FALLS A.OUT VORHANDEN
        elif [[ $localhost = lcsgih ]]
        then
-          printf "      compiler is called via ssh on \"hicegate2\" \n"
-          ssh  130.75.4.103    -l $usern  ". /usr/share/modules/init/bash; $module_calls cd $TEMPDIR; make $mopts -f Makefile PROG=a.out  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$fopts\"  LDFLAGS=\"$lopts\" 2>&1 "
+          printf "      compiler is called via ssh on \"hicegate0\" \n"
+          ssh  hicegate0    -l $usern  ". /usr/share/modules/init/bash; $module_calls cd $TEMPDIR; make $mopts -f Makefile PROG=a.out  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$fopts\"  LDFLAGS=\"$lopts\" 2>&1 "
           [[ ! -f a.out ]]  &&  compile_error=true
           continue   # ANDERENFALLS IST STATUS=1, FALLS A.OUT VORHANDEN
Index: palm/trunk/SCRIPTS/subjob
===================================================================
--- palm/trunk/SCRIPTS/subjob	(revision 539)
+++ palm/trunk/SCRIPTS/subjob	(revision 540)
@@ -356,6 +356,6 @@
 	(lcfimm)  remote_addres=172.20.4.2; submcom=/opt/torque/bin/qsub;;
         (lckyoto) remote_addres=133.3.51.11; submcom=/thin/local/bin/qsub;;
-        (lcsgib)  queue=smallq; remote_addres=130.73.232.102; submcom=/opt/moab/bin/msub;;
-        (lcsgih)  queue=smallq; remote_addres=130.75.4.103; submcom=/opt/moab/bin/msub;;
+        (lcsgib)  queue=smallq; remote_addres=130.73.232.104; submcom=/opt/moab/bin/msub;;
+        (lcsgih)  queue=smallq; remote_addres=130.75.4.101; submcom=/opt/moab/bin/msub;;
         (lck)     remote_addres=165.132.26.61; submcom=/usr/torque/bin/qsub;;
         (lctit)   queue=lctit; remote_addres=172.17.75.161; submcom=/n1ge/TITECH_GRID/tools/bin/n1ge;;