Index: palm/trunk/DOC/tec/technical_documentation.html
===================================================================
--- palm/trunk/DOC/tec/technical_documentation.html	(revision 543)
+++ palm/trunk/DOC/tec/technical_documentation.html	(revision 544)
@@ -94,5 +94,21 @@
     
     
-    
+    <tr>
+      <td style="vertical-align: top;">17/08/10<br>
+      </td>
+      <td style="vertical-align: top;">BM<br>
+      </td>
+      <td style="vertical-align: top;">544<br>
+      </td>
+      <td style="vertical-align: top;">3.7a<br>
+      </td>
+      <td style="vertical-align: top;">B/C/N<br>
+      </td>
+      <td style="vertical-align: top;">adjustments for lcxt4; bugfix (mbuild): loading of user-defined modules; new .mrun.config.lcxt4 for Cray XT4 in Bergen/Norway<br>
+      </td>
+      <td style="vertical-align: top;">mrun, mbuild, subjob<br>
+      </td>
+    </tr>
+
     <tr>
       <td style="vertical-align: top;">15/06/10<br>
@@ -1368,5 +1384,5 @@
     <span style="font-family: Courier New,Courier,monospace;">! Former revisions:</span><br style="font-family: Courier New,Courier,monospace;">
     <span style="font-family: Courier New,Courier,monospace;">! -----------------</span><br style="font-family: Courier New,Courier,monospace;">
-    <span style="font-family: Courier New,Courier,monospace;">! §Id: init_3d_model.f90 <span style="color: rgb(51, 102, 255); font-weight: bold;">425 2010-02-06 13:37:48Z raasch</span> §</span><br style="font-family: Courier New,Courier,monospace;">
+    <span style="font-family: Courier New,Courier,monospace;">! ï¿œId: init_3d_model.f90 <span style="color: rgb(51, 102, 255); font-weight: bold;">425 2010-02-06 13:37:48Z raasch</span> ï¿œ</span><br style="font-family: Courier New,Courier,monospace;">
     <span style="font-family: Courier New,Courier,monospace;">!</span><br style="font-family: Courier New,Courier,monospace;">
     <span style="font-family: Courier New,Courier,monospace;"></span><span style="font-family: Courier New,Courier,monospace;"></span><span style="font-family: Courier New,Courier,monospace;"></span><span style="font-family: Courier New,Courier,monospace;">! 407 2009-12-01 15:01:15Z maronga</span><br style="font-family: Courier New,Courier,monospace;">
@@ -1387,5 +1403,5 @@
     <span style="font-family: Courier New,Courier,monospace;">! -----------------</span><br style="font-family: Courier New,Courier,monospace;">
 
-    <span style="font-family: Courier New,Courier,monospace;">! §Id: </span><span style="font-family: Courier New,Courier,monospace;">init_3d_model.f90 425 2010-02-06 13:37:48Z raasch</span><span style="font-family: Courier New,Courier,monospace;"> §<br>
+    <span style="font-family: Courier New,Courier,monospace;">! ï¿œId: </span><span style="font-family: Courier New,Courier,monospace;">init_3d_model.f90 425 2010-02-06 13:37:48Z raasch</span><span style="font-family: Courier New,Courier,monospace;"> ï¿œ<br>
 !</span><br style="font-family: Courier New,Courier,monospace;">
     <span style="font-family: Courier New,Courier,monospace;">! </span><span style="font-family: Courier New,Courier,monospace; color: rgb(51, 102, 255); font-weight: bold;">425 2010-02-06 13:37:48Z raasch</span><span style="font-family: Courier New,Courier,monospace;"><span style="font-weight: bold; color: rgb(51, 51, 255);"></span><br>
@@ -1398,5 +1414,5 @@
     <span style="font-family: Courier New,Courier,monospace;">! var_ts is replaced by dots_max<br>
     <br>
-    <span style="font-family: Times New Roman,Times,serif;">Note that the "<span style="font-family: Courier New,Courier,monospace;">§</span>"
+    <span style="font-family: Times New Roman,Times,serif;">Note that the "<span style="font-family: Courier New,Courier,monospace;">ï¿œ</span>"
 in this example should read "$", but "$" cannot be used here, because
 otherwise svn would replace these entries after every change to this
Index: palm/trunk/SCRIPTS/mbuild
===================================================================
--- palm/trunk/SCRIPTS/mbuild	(revision 543)
+++ palm/trunk/SCRIPTS/mbuild	(revision 544)
@@ -109,4 +109,6 @@
      #                    parallel make for utility programs
      # 12/03/10 - Siggi - bugfix: remode_md was given a wrong value
+     # 16/08/10 - BjornM- bugfix: call of modules on local host, new workaround
+     #                    for lcxt4
 
 
@@ -1225,4 +1227,17 @@
     else
 
+          # workaround for lcxt4
+       if [[ $remote_host = lcxt4 ]]
+       then
+          . /opt/modules/default/init/ksh
+       fi
+
+       # first load modules, if given
+       if [[ "$modules" != "" ]]
+       then
+          module load ${modules}
+       fi
+
+
        if [[ $compile_utility_programs = false ]]
        then
@@ -1255,10 +1270,4 @@
           echo " "
           echo "  *** execute \"make\" on local host"
-
-             # first load modules, if given
-          if [[ "$modules" != "" ]]
-          then
-             module load ${modules}
-          fi
 
           make  $make_options  PROG=$mainprog  F90=$compiler_name  COPT="$cpp_options"  F90FLAGS="$compiler_options"  LDFLAGS="$loader_options"  2>&1 | tee ${remote_host}_last_make_protokoll
Index: palm/trunk/SCRIPTS/mrun
===================================================================
--- palm/trunk/SCRIPTS/mrun	(revision 543)
+++ palm/trunk/SCRIPTS/mrun	(revision 544)
@@ -208,4 +208,5 @@
      #                     lcsgih/lcsgib is done using the names 
      #                     hicegate0/bicegate0 instead of the IP addresses
+     # 17/08/10 - BjornM - adjustments for interactive runs on lcxt4
 
 
@@ -2534,4 +2535,5 @@
        else
           [[ $localhost = lctit ]]  &&  export LM_LICENSE_FILE=27050@tggls
+          [[ $localhost = lcxt4 ]]  &&  . /opt/modules/default/init/ksh
           [[ "$module_calls" != "" ]]  &&  eval $module_calls
           make $mopts -f Makefile PROG=a.out  F90=$compiler_name  COPT="$cpp_options"  F90FLAGS="$fopts"  LDFLAGS="$lopts"
@@ -3313,5 +3315,5 @@
                 elif [[ $host = lcxt4  ||  $host = lcxt5m ]]
                 then
-                   aprun  -n $ii  -N $tasks_per_node  a.out  $ROPTS  < runfile_atmos
+                    aprun  -n $ii  -N $tasks_per_node  a.out  $ROPTS  < runfile_atmos
                 else
                    mpiexec  -machinefile hostfile  -n $ii  a.out  < runfile_atmos  $ROPTS
Index: palm/trunk/SCRIPTS/subjob
===================================================================
--- palm/trunk/SCRIPTS/subjob	(revision 543)
+++ palm/trunk/SCRIPTS/subjob	(revision 544)
@@ -117,4 +117,5 @@
      # 01/03/10 - Siggi - loading of modules controlled by environment variable
      #                    module_calls
+     # 17/08/10 - BjÃ¶rnM- re-adjustments for lcxt4 (location of qsub)
 
 
@@ -360,5 +361,5 @@
         (lck)     remote_addres=165.132.26.61; submcom=/usr/torque/bin/qsub;;
         (lctit)   queue=lctit; remote_addres=172.17.75.161; submcom=/n1ge/TITECH_GRID/tools/bin/n1ge;;
-        (lcxt4)	  remote_addres=129.177.20.113; submcom=/opt/torque/2.3.0/bin/qsub;;
+        (lcxt4)	  remote_addres=129.177.20.113; submcom=/opt/torque/2.4.9-snap.201005191035/bin/qsub;;
         (lcxt5m)  remote_addres=193.166.211.144; submcom=/opt/pbs/10.1.0.91350/bin/qsub;;
         (nech)    qsubmem=memsz_job; qsubtime=cputim_job; remote_addres=136.172.44.147; submcom="/usr/local/bin/qsub";;